<template>
  <el-dialog
    :title="!dataForm.id ? '新增' : '修改'"
    :close-on-click-modal="false"
    :visible.sync="visible"
  >
    <el-form
      :model="dataForm"
      :rules="dataRule"
      ref="dataForm"
      label-width="100px"
      class="l-mes"
    >
      <el-form-item label="参数编号" prop="code">
        <el-input v-model="dataForm.code" placeholder="" />
      </el-form-item>
      <el-form-item label="参数项" prop="parameterItem">
        <el-input v-model="dataForm.parameterItem" placeholder="" />
      </el-form-item>
      <el-form-item label="参考值" prop="referenceValue">
        <el-input v-model="dataForm.referenceValue" placeholder="" />
      </el-form-item>
      <el-form-item label="单位" prop="unit">
        <el-input v-model="dataForm.unit" placeholder="" />
      </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="visible = false">取消</el-button>
      <el-button type="primary" @click="dataFormSubmit()">确定</el-button>
    </span>
  </el-dialog>
</template>

<script>
export default {
  data() {
    return {
      visible: false,
      dataForm: {
        id: 0,
        code: '',
        parameterItem: '',
        referenceValue: '',
        unit: '',
        index: ''
      },
      dataRule: {
        code: [
          { required: true, message: '参数编号不能为空', trigger: 'blur' }
        ],
        parameterItem: [
          { required: true, message: '参数项不能为空', trigger: 'blur' }
        ]
      }
    }
  },
  methods: {
    init(row, index) {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.dataForm.resetFields()
        if (row) {
          this.dataForm = row
        }
        this.dataForm.index = index
      })
    },
    // 表单提交
    dataFormSubmit() {
      this.$refs.dataForm.validate((valid) => {
        if (valid) {
          if (this.dataForm.id) {
            this.$message.success('修改成功')
            this.visible = false
            this.$emit('refreshDataList', this.dataForm)
          } else {
            this.$message.success('添加成功')
            this.visible = false
            this.$emit('refreshDataList', this.dataForm)
          }
        }
      })
    }
  }
}
</script>
